Campaigns

List campaigns

Returns a paginated list of campaigns in your organization.

GET
/campaigns
/campaigns

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

limitinteger

Number of records to return (default: 10, max: 100)

Default: 10Minimum: 1Maximum: 100

pageinteger

Page number (1-indexed)

Default: 1Minimum: 1
curl -X GET "https://www.promotekit.com/api/v1/campaigns?limit=10&page=1" \
  -H "Authorization: Bearer <token>"

Successful response

{
  "success": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "website_url": "string",
      "commission_type": "percentage",
      "commission_amount": 0,
      "is_default": true,
      "limit_type": "string",
      "limit_amount": 0,
      "code_mode": "link",
      "reference_coupon": "string",
      "custom_commission_type": "string",
      "welcome_message": "string",
      "approval_needed": true,
      "collect_details": true,
      "details_text": "string",
      "hide_emails": true,
      "dashboard_text": "string",
      "cookie_duration": 0,
      "first_payment_commission": {
        "enabled": true,
        "type": "string",
        "amount": 0
      }
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0,
    "total_count": 0,
    "total_pages": 0,
    "has_more": true
  }
}